Subject: Re: [lojban] Dictionary format

From: Robin Lee Powell <[email-masked]>
Date: Tue, 17 Apr 2001 11:06:58 -0700

On Sun, Apr 15, 2001 at 12:40:06AM -0400, Pierre Abbat wrote:
> I'm thinking that, besides the dictionary format we currently have
> (jukni:juk:spider:x1 is a spider of species x2:sometimes long list of comments
> and cross-references), which is good for the Web, 

You're kidding, right? I think it sucks rocks.

> especially with the cross-references rendered as hyperlinks, we should
> have a more traditional dictionary format which would look something
> like this:
> 
> danlu [2 species; dal, da'u] animal
> cakcinki [danlu] beetle
> tirxe [danlu 3 stripes] tiger
> o [a] if and only if, iff
> a [between two sumti] or
> thumbnail, n. (xan)tajycalku, (xan)tajyja'u; picture: cmaxra, cmabasti
> 
> The stuff in the brackets immediately after the word is grammatical
> information. For a brivla, it is the place structure (explicit or
> cross-reference or both) and the rafsi, if any; for a cmavo it is the selma'o,
> unless the cmavo is the type-word for that selma'o, in which case it is an
> explanation of how it is used. The word "picture:" would be in italics.
> 
> I think that this format, in book form, would be easy to digest for those used
> to foreign-language dictionaries. What do you think?

It's a little compact for my taste, but it'd certainly work. Where do
the definitions themselves go, though?

Here's what I use:

danlu dal da'u animal
x1 is an animal/creature of species x2; x1 is
biologically animate

(cf. banfi, cinki, cipni, finpe, jukni, respa, since,
mabru, bakni)

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/